%global modname repoze.lru
%global common_description %{expand:
repoze.lru is a LRU (least recently used) cache implementation. Keys and values that are not
used frequently will be evicted from the cache faster than keys and values that are used frequently}

Summary:        A tiny LRU cache implementation and decorator
Name:           python-repoze-lru
Version:        0.7
Release:        7%{?dist}
License:        BSD
URL:            http://pypi.python.org/pypi/repoze.lru
Source0:        %pypi_source %{modname}

BuildRequires:  python3-devel python3-setuptools

BuildArch:      noarch

%description
%common_description

%package -n python3-repoze-lru
Summary:        A tiny LRU cache implementation and decorator

%description -n python3-repoze-lru
%common_description

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-repoze-lru
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst CONTRIBUTORS.txt
%{python3_sitelib}/repoze/lru
%{python3_sitelib}/%{modname}-%{version}*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 0.7-1
- initial build
